%define major		0
%define gmajor		2.0
%define libname		%mklibname atspi %{major}
%define girname		%mklibname atspi-gir %{gmajor}
%define libnamedev	%mklibname -d atspi

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%global dont_check_desktop_files	1

Name:		at-spi2-core
Version:	2.38.0
Release:	%mkrel 1
Summary:	Protocol definitions and daemon for D-Bus at-spi
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	90qt-a11y
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28
BuildRequires:	pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xevie)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(xkbcommon-x11)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	meson
BuildRequires:	gtk-doc
Requires:	dbus

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%name = %version

%description -n %{libname}
This package contains libraries used by %{name}.

%package -n %{libnamedev}
Summary:	Libraries and include files with %{name}
Group:		Development/GNOME and GTK+
Requires:	%name = %{version}
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{name}-qt
Summary:	To enable qt accessibility
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}
Requires:	qt4-accessibility-plugin

%description -n %{name}-qt
This package enables qt accessibility when gsettings has accessibility enabled.

%prep
%setup -q

%build
%meson -Ddocs=true -Dintrospection=yes -Dx11=yes
%meson_build

%install
%meson_install

%find_lang %{name}

mkdir -p %{buildroot}/etc/X11/xinit.d
cp %{SOURCE1} %{buildroot}/etc/X11/xinit.d/

%check
#meson_test

%files -f %{name}.lang
%doc COPYING AUTHORS README
%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop
%{_libexecdir}/at-spi2-registryd
%{_libexecdir}/at-spi-bus-launcher
%{_datadir}/dbus-1/services/org.*.service
%{_datadir}/dbus-1/accessibility-services/org.*.service
%{_datadir}/defaults/at-spi2/accessibility.conf
%{_userunitdir}/at-spi-dbus-bus.service

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Atspi-%{gmajor}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/libatspi
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gir-1.0/Atspi-%{gmajor}.gir

%files -n %{name}-qt
%{_sysconfdir}/X11/xinit.d/90qt-a11y


%changelog
* Sat Sep 12 2020 ovitters <ovitters> 2.38.0-1.mga8
+ Revision: 1625386
- new version 2.38.0

* Sat Sep 05 2020 ovitters <ovitters> 2.37.92-1.mga8
+ Revision: 1622269
- new version 2.37.92

* Mon Aug 10 2020 ovitters <ovitters> 2.37.90-1.mga8
+ Revision: 1612747
- new version 2.37.90

* Sun Mar 08 2020 ovitters <ovitters> 2.36.0-1.mga8
+ Revision: 1554761
- new version 2.36.0

* Sat Feb 29 2020 ovitters <ovitters> 2.35.92-1.mga8
+ Revision: 1552484
- new version 2.35.92

* Wed Feb 19 2020 ovitters <ovitters> 2.35.1-1.mga8
+ Revision: 1544852
- new version 2.35.1

* Sun Feb 16 2020 umeabot <umeabot> 2.34.0-2.mga8
+ Revision: 1531073
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 ovitters <ovitters> 2.34.0-1.mga8
+ Revision: 1438975
- new version 2.34.0

* Mon Sep 02 2019 ovitters <ovitters> 2.33.92-1.mga8
+ Revision: 1436449
- new version 2.33.92

* Mon Aug 05 2019 ovitters <ovitters> 2.33.90-1.mga8
+ Revision: 1427558
- new version 2.33.90

* Wed Apr 17 2019 umeabot <umeabot> 2.32.1-2.mga7
+ Revision: 1392118
- Rebuild with meson 0.50.1

* Tue Apr 09 2019 ovitters <ovitters> 2.32.1-1.mga7
+ Revision: 1387234
- new version 2.32.1

* Tue Mar 12 2019 ovitters <ovitters> 2.32.0-1.mga7
+ Revision: 1374449
- new version 2.32.0

* Thu Mar 07 2019 ovitters <ovitters> 2.31.92-1.mga7
+ Revision: 1372534
- new version 2.31.92

* Mon Mar 04 2019 ovitters <ovitters> 2.30.1-1.mga7
+ Revision: 1371418
- new version 2.30.1

* Tue Sep 04 2018 ovitters <ovitters> 2.30.0-1.mga7
+ Revision: 1257019
- new version 2.30.0

* Tue Jun 19 2018 ovitters <ovitters> 2.29.1-1.mga7
+ Revision: 1237941
- new version 2.29.1

* Tue Mar 13 2018 ovitters <ovitters> 2.28.0-1.mga7
+ Revision: 1208818
- new version 2.28.0

* Tue Mar 06 2018 ovitters <ovitters> 2.27.92-1.mga7
+ Revision: 1206896
- new version 2.27.92

* Mon Jan 08 2018 ovitters <ovitters> 2.27.1-1.mga7
+ Revision: 1191737
- switch to meson
- new version 2.27.1

* Mon Oct 30 2017 ovitters <ovitters> 2.26.2-1.mga7
+ Revision: 1175063
- new version 2.26.2

* Mon Oct 30 2017 ovitters <ovitters> 2.26.1-1.mga7
+ Revision: 1175039
- new version 2.26.1

* Mon Sep 11 2017 ovitters <ovitters> 2.26.0-1.mga7
+ Revision: 1153024
- new version 2.26.0

* Tue Sep 05 2017 ovitters <ovitters> 2.25.92-1.mga7
+ Revision: 1151273
- new version 2.25.92

* Mon Aug 21 2017 ovitters <ovitters> 2.25.91-1.mga7
+ Revision: 1142776
- new version 2.25.91

* Mon Aug 21 2017 ovitters <ovitters> 2.25.90-1.mga7
+ Revision: 1142767
- new version 2.25.90

* Tue May 09 2017 ovitters <ovitters> 2.24.1-1.mga6
+ Revision: 1099765
- new version 2.24.1

* Tue Mar 21 2017 ovitters <ovitters> 2.24.0-1.mga6
+ Revision: 1093941
- new version 2.24.0

* Mon Mar 20 2017 ovitters <ovitters> 2.22.1-1.mga6
+ Revision: 1093844
- new version 2.22.1

* Mon Sep 26 2016 tv <tv> 2.22.0-2.mga6
+ Revision: 1056843
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Mon Sep 26 2016 ovitters <ovitters> 2.22.0-1.mga6
+ Revision: 1056741
- new version 2.22.0

* Sun Sep 18 2016 ovitters <ovitters> 2.21.4-1.mga6
+ Revision: 1053831
- new version 2.21.4

* Sun May 22 2016 ovitters <ovitters> 2.20.2-1.mga6
+ Revision: 1017495
- new version 2.20.2

* Tue Apr 12 2016 ovitters <ovitters> 2.20.1-1.mga6
+ Revision: 1000664
- new version 2.20.1

* Tue Mar 22 2016 ovitters <ovitters> 2.20.0-1.mga6
+ Revision: 993866
- new version 2.20.0

* Tue Mar 15 2016 tv <tv> 2.19.92-2.mga6
+ Revision: 990759
- adjust file list
+ ovitters <ovitters>
- new version 2.19.92

* Tue Mar 01 2016 ovitters <ovitters> 2.19.91-1.mga6
+ Revision: 981220
- new version 2.19.91

* Mon Feb 15 2016 ovitters <ovitters> 2.19.90-1.mga6
+ Revision: 961685
- new version 2.19.90

* Tue Nov 24 2015 ovitters <ovitters> 2.19.2-1.mga6
+ Revision: 905693
- new version 2.19.2

* Mon Nov 23 2015 ovitters <ovitters> 2.19.1-1.mga6
+ Revision: 905251
- new version 2.19.1

* Tue Nov 10 2015 ovitters <ovitters> 2.18.3-1.mga6
+ Revision: 901438
- new version 2.18.3

* Sat Nov 07 2015 ovitters <ovitters> 2.18.2-1.mga6
+ Revision: 898484
- new version 2.18.2

* Mon Oct 12 2015 ovitters <ovitters> 2.18.1-1.mga6
+ Revision: 890127
- new version 2.18.1

* Thu Sep 24 2015 tv <tv> 2.18.0-1.mga6
+ Revision: 882560
- new release

* Tue Aug 18 2015 ovitters <ovitters> 2.17.90-2.mga6
+ Revision: 865687
- fake bump because bs is buggy
- new version 2.17.90

* Wed Jul 22 2015 ovitters <ovitters> 2.17.1-1.mga6
+ Revision: 856039
- new version 2.17.1

* Sun Jun 28 2015 wally <wally> 2.16.0-2.mga6
+ Revision: 847141
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 2.16.0-1.mga6
+ Revision: 836913
- new version 2.16.0

* Tue Nov 11 2014 ovitters <ovitters> 2.14.1-1.mga5
+ Revision: 796288
- new version 2.14.1

* Wed Oct 15 2014 umeabot <umeabot> 2.14.0-3.mga5
+ Revision: 750409
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.14.0-2.mga5
+ Revision: 731107
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 2.14.0-1.mga5
+ Revision: 719198
- new version 2.14.0

* Tue Sep 16 2014 umeabot <umeabot> 2.13.92-3.mga5
+ Revision: 686507
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 2.13.92-1.mga5
+ Revision: 676950
- new version 2.13.92

* Mon Aug 18 2014 ovitters <ovitters> 2.13.90-1.mga5
+ Revision: 665279
- new version 2.13.90

* Mon Jul 21 2014 ovitters <ovitters> 2.13.4-1.mga5
+ Revision: 655170
- new version 2.13.4

* Fri May 30 2014 ovitters <ovitters> 2.13.1-1.mga5
+ Revision: 627800
- new version 2.13.1

* Mon Mar 24 2014 ovitters <ovitters> 2.12.0-1.mga5
+ Revision: 608139
- new version 2.12.0

* Mon Mar 17 2014 ovitters <ovitters> 2.11.92-1.mga5
+ Revision: 604593
- new version 2.11.92

* Tue Mar 04 2014 ovitters <ovitters> 2.11.91-1.mga5
+ Revision: 599226
- new version 2.11.91

* Tue Feb 18 2014 ovitters <ovitters> 2.11.90-1.mga5
+ Revision: 594423
- new version 2.11.90

* Wed Feb 05 2014 fwang <fwang> 2.11.5-1.mga5
+ Revision: 583132
- bump req
- 2.11.5

* Tue Nov 12 2013 ovitters <ovitters> 2.10.2-1.mga4
+ Revision: 550667
- new version 2.10.2

* Tue Oct 22 2013 umeabot <umeabot> 2.10.1-2.mga4
+ Revision: 542293
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 2.10.1-1.mga4
+ Revision: 497271
- new version 2.10.1

* Sun Oct 13 2013 barjac <barjac> 2.10.0-3.mga4
+ Revision: 496173
- split 90qt-a11y into sub-package with requires on qt4-accessibility-plugin and main package
- mga#11441

* Wed Oct 09 2013 barjac <barjac> 2.10.0-2.mga4
+ Revision: 494190
- add 90qt-a11y to xinit.d to set QT_ACCESSIBILITY

* Tue Sep 24 2013 ovitters <ovitters> 2.10.0-1.mga4
+ Revision: 484603
- new version 2.10.0

* Mon Sep 16 2013 ovitters <ovitters> 2.9.92-1.mga4
+ Revision: 480452
- new version 2.9.92

* Mon Sep 02 2013 ovitters <ovitters> 2.9.91-1.mga4
+ Revision: 474465
- new version 2.9.91

* Tue Aug 20 2013 ovitters <ovitters> 2.9.90-1.mga4
+ Revision: 468314
- new version 2.9.90

* Tue Jul 30 2013 ovitters <ovitters> 2.9.5-1.mga4
+ Revision: 460720
- new version 2.9.5

* Sun Jul 28 2013 dams <dams> 2.9.4-1.mga4
+ Revision: 459241
- new version 2.9.4

* Sat May 25 2013 ovitters <ovitters> 2.8.0-1.mga4
+ Revision: 427127
- new version 2.8.0

* Fri Jan 11 2013 umeabot <umeabot> 2.6.3-2.mga3
+ Revision: 346518
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 ovitters <ovitters> 2.6.3-1.mga3
+ Revision: 329443
- new version 2.6.3

* Tue Nov 13 2012 fwang <fwang> 2.6.2-1.mga3
+ Revision: 317361
- new version 2.6.2

* Wed Oct 17 2012 ovitters <ovitters> 2.6.1-1.mga3
+ Revision: 307388
- new version 2.6.1

* Tue Sep 25 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 297291
- new version 2.6.0

* Tue Sep 18 2012 ovitters <ovitters> 2.5.92-1.mga3
+ Revision: 295794
- new version 2.5.92

* Tue Sep 04 2012 ovitters <ovitters> 2.5.91-1.mga3
+ Revision: 287810
- new version 2.5.91

* Mon Aug 06 2012 ovitters <ovitters> 2.5.5-1.mga3
+ Revision: 279555
- new version 2.5.5

* Mon Jul 16 2012 ovitters <ovitters> 2.5.4-1.mga3
+ Revision: 271585
- new version 2.5.4

* Wed Jun 27 2012 ovitters <ovitters> 2.5.3-1.mga3
+ Revision: 264580
- new version 2.5.3

* Mon May 14 2012 ovitters <ovitters> 2.4.2-1.mga3
+ Revision: 235698
- new version 2.4.2

* Mon Apr 16 2012 ovitters <ovitters> 2.4.1-1.mga2
+ Revision: 231118
- new version 2.4.1

* Mon Mar 26 2012 ovitters <ovitters> 2.4.0-1.mga2
+ Revision: 226979
- new version 2.4.0

* Mon Mar 19 2012 ovitters <ovitters> 2.3.92-1.mga2
+ Revision: 224535
- new version 2.3.92

* Tue Mar 06 2012 fwang <fwang> 2.3.91-1.mga2
+ Revision: 219617
- new version 2.3.91

* Wed Feb 22 2012 ovitters <ovitters> 2.3.90-1.mga2
+ Revision: 212336
- new version

* Tue Feb 07 2012 fwang <fwang> 2.3.5-1.mga2
+ Revision: 205817
- new version 2.3.5

* Mon Jan 16 2012 fwang <fwang> 2.3.4-1.mga2
+ Revision: 196790
- new version 2.3.4

* Tue Dec 20 2011 fwang <fwang> 2.3.3-1.mga2
+ Revision: 184751
- new version 2.3.3

* Tue Nov 22 2011 fwang <fwang> 2.3.2-1.mga2
+ Revision: 170790
- new version 2.3.2

* Sat Oct 29 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 159456
- new version 2.3.1

* Tue Oct 18 2011 wally <wally> 2.2.1-1.mga2
+ Revision: 156065
- new version 2.2.1
- create own subpackage for gir .typelib
- clean .spec a bit

* Tue Sep 27 2011 ovitters <ovitters> 2.2.0-1.mga2
+ Revision: 149136
- remove format-string patch (committed upstream)
- new version 2.2.0

* Tue Sep 20 2011 fwang <fwang> 2.1.92-1.mga2
+ Revision: 145841
- new version 2.1.92

* Tue Sep 06 2011 tv <tv> 2.1.91-1.mga2
+ Revision: 139226
- new release

* Tue Aug 30 2011 fwang <fwang> 2.1.90-1.mga2
+ Revision: 136340
- new version 2.1.90
- new version 2.1.5
+ saispo <saispo>
- imported package at-spi2-core


* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 659142
- update to new version 2.0.1

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 2.0.0-1
+ Revision: 650439
- new version 2.0.0

* Tue Nov 16 2010 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 597921
- update to new version 0.4.1

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 581615
- update to new version 0.4.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 0.3.92-1mdv2011.0
+ Revision: 578144
- update to new version 0.3.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 0.3.91-1mdv2011.0
+ Revision: 574617
- new version
- update file list

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 0.3.90-1mdv2011.0
+ Revision: 570822
- update to new version 0.3.90
- fix source URL

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2011.0
+ Revision: 563123
- new version

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 0.1.8-1mdv2010.1
+ Revision: 530226
- update to new version 0.1.8

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2010.1
+ Revision: 508298
- new version
- update file list

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2010.1
+ Revision: 502688
- new version
- update file list

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2010.1
+ Revision: 489820
- update to new version 0.1.5

* Mon Dec 28 2009 Frederic Crozat <fcrozat@mandriva.com> 0.1.4-1mdv2010.1
+ Revision: 483107
- import at-spi2-core


